/*
 * Copyright (c) 1997, Matthew N. Dodd
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *	This product includes software developed by the University of
 *	California, Berkeley and its contributors.
 * 4. Neither the name of the University nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id: quotatool.h,v 1.3 1997/03/11 13:12:50 winter Exp $
 */

typedef struct q_member {
        char    name[MAXLOGNAME];
        int     id;
        struct dqblk dq_dqb;
        struct q_member *next;
} qmstr;

#define M_SETQUOTA      0
#define M_GETQUOTA      1
#define M_TEST          2

#ifndef __QUOTATOOL_MAIN__
extern char *m_str[];
extern char *m_proc[];
extern char *m_qtype[];

extern int f_mode;			/* flag for mode of operation   */
extern int f_user;
extern int f_group;
extern int f_mtype;			/* member type 0 user 1 group   */
extern char f_fsname[MAXPATHLEN];	/* filesystem to use            */
extern int f_bh;
extern int f_bs;
extern int f_bg;
extern int f_ih;
extern int f_is;
extern int f_ig;
extern u_long v_bh;			/* block hard quota             */
extern u_long v_bs;			/* block soft quota             */
extern time_t v_bg;			/* block grace period           */
extern u_long v_ih;			/* inode hard quota             */
extern u_long v_is;			/* inode soft quota             */
extern time_t v_ig;			/* inode grace period           */
#endif
